Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt
Class BufferCapabilities.FlipContents

    java.lang.Object
      java.awt.BufferCapabilities.FlipContents

Enclosing class:
  BufferCapabilities

    public static final class BufferCapabilities.FlipContents

extends Object

A type-safe enumeration of the possible back buffer contents after page-flipping

Since:
  1.4

Field Summary
`static BufferCapabilities.FlipContents` | `BACKGROUND` When flip contents are `BACKGROUND`, the contents of the back buffer are cleared with the background color after flipping.
`static BufferCapabilities.FlipContents` | `COPIED` When flip contents are `COPIED`, the contents of the back buffer are copied to the front buffer when flipping.
`static BufferCapabilities.FlipContents` | `PRIOR` When flip contents are `PRIOR`, the contents of the back buffer are the prior contents of the front buffer (a true page flip).
`static BufferCapabilities.FlipContents` | `UNDEFINED` When flip contents are `UNDEFINED`, the contents of the back buffer are undefined after flipping.

Method Summary
`int` | `hashCode()` Returns a hash code value for the object.
`String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### UNDEFINED

    public static final BufferCapabilities.FlipContents UNDEFINED

  When flip contents are `UNDEFINED`, the contents of the back buffer are undefined after flipping.

  See Also:
    `BufferCapabilities.isPageFlipping()`, `BufferCapabilities.getFlipContents()`, `BACKGROUND`, `PRIOR`, `COPIED`

### BACKGROUND

    public static final BufferCapabilities.FlipContents BACKGROUND

  When flip contents are `BACKGROUND`, the contents of the back buffer are cleared with the background color after flipping.

  See Also:
    `BufferCapabilities.isPageFlipping()`, `BufferCapabilities.getFlipContents()`, `UNDEFINED`, `PRIOR`, `COPIED`

### PRIOR

    public static final BufferCapabilities.FlipContents PRIOR

  When flip contents are `PRIOR`, the contents of the back buffer are the prior contents of the front buffer (a true page flip).

  See Also:
    `BufferCapabilities.isPageFlipping()`, `BufferCapabilities.getFlipContents()`, `UNDEFINED`, `BACKGROUND`, `COPIED`

### COPIED

    public static final BufferCapabilities.FlipContents COPIED

  When flip contents are `COPIED`, the contents of the back buffer are copied to the front buffer when flipping.

  See Also:
    `BufferCapabilities.isPageFlipping()`, `BufferCapabilities.getFlipContents()`, `UNDEFINED`, `BACKGROUND`, `PRIOR`

Method Detail

### hashCode

    public int hashCode()

  Description copied from class: `Object`
  Returns a hash code value for the object. This method is supported for the benefit of hashtables such as those provided by `java.util.Hashtable`.

  The general contract of `hashCode` is:

  - Whenever it is invoked on the same object more than once during an execution of a Java application, the `hashCode` method must consistently return the same integer, provided no information used in `equals` comparisons on the object is modified. This integer need not remain consistent from one execution of an application to another execution of the same application.
  - If two objects are equal according to the `equals(Object)` method, then calling the `hashCode` method on each of the two objects must produce the same integer result.
  - It is not required that if two objects are unequal according to the `Object.equals(java.lang.Object)` method, then calling the `hashCode` method on each of the two objects must produce distinct integer results. However, the programmer should be aware that producing distinct integer results for unequal objects may improve the performance of hashtables.

  As much as is reasonably practical, the hashCode method defined by class `Object` does return distinct integers for distinct objects. (This is typically implemented by converting the internal address of the object into an integer, but this implementation technique is not required by the JavaTM programming language.)

  Overrides:
    `hashCode` in class `Object`
  Returns:
    a hash code value for this object.
  See Also:
    `Object.equals(java.lang.Object)`, `Hashtable`

### toString

    public String toString()

  Description copied from class: `Object`
  Returns a string representation of the object. In general, the `toString` method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method.

  The `toString` method for class `Object` returns a string consisting of the name of the class of which the object is an instance, the at-sign character ``@`', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of:

  >      getClass().getName() + '@' + Integer.toHexString(hashCode())

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.